from flask import Blueprint
from flask_login import login_required


bp = Blueprint('contributions', __name__)


@bp.before_request
@login_required
def before_request():
    '''
    Ensures that the routes in this package can only be visited by users that
    are logged in.
    '''
    pass


from . import routes
from . import spacy_nlp_pipeline_models
from . import tesseract_ocr_pipeline_models
from . import transkribus_htr_pipeline_models
